libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
spamsum_ctx Struct Reference

`#include <aaruformat/spamsum.h>`

## Data Fields
uint32_t | bh_start
uint32_t | bh_end
blockhash_ctx | bh [31]
uint64_t | total_size
roll_state | roll

## Detailed Description

Definition at line 50 of file spamsum.h.

## Field Documentation

## ◆ bh

blockhash_ctx spamsum_ctx::bh[31]

Definition at line 54 of file spamsum.h.

Referenced by aaruf_spamsum_final(), aaruf_spamsum_init(), fuzzy_engine_step(), fuzzy_try_fork_blockhash(), and fuzzy_try_reduce_blockhash().

## ◆ bh_end

uint32_t spamsum_ctx::bh_end

Definition at line 53 of file spamsum.h.

Referenced by aaruf_spamsum_final(), aaruf_spamsum_init(), fuzzy_try_fork_blockhash(), and fuzzy_try_reduce_blockhash().

## ◆ bh_start

uint32_t spamsum_ctx::bh_start

Definition at line 52 of file spamsum.h.

Referenced by aaruf_spamsum_final(), fuzzy_engine_step(), and fuzzy_try_reduce_blockhash().

## ◆ roll

roll_state spamsum_ctx::roll

Definition at line 56 of file spamsum.h.

Referenced by roll_hash().

## ◆ total_size

uint64_t spamsum_ctx::total_size

Definition at line 55 of file spamsum.h.

Referenced by aaruf_spamsum_update(), and fuzzy_try_reduce_blockhash().

The documentation for this struct was generated from the following file:

- include/aaruformat/spamsum.h